(ns ldview.routes.home
  (:use compojure.core)
  (:require [ldview.views.layout :as layout]
            [ldview.util :as util]
            [ldview.models.entry :as entry]))

(defn entries-page []
  (layout/render "entries.html" {:entries (entry/all)}))

(defroutes home-routes
  (GET "/" [] (entries-page)))
