(ns ldview.models.db
  (:use korma.core
        [korma.db :only (defdb)])
  (:require [ldview.models.schema :as schema]))

(defdb db schema/db-spec)

(declare entities contests users sources)

(defentity entries
  (belongs-to contests)
  (belongs-to users)
  (has-many sources))

(defentity competitions
  (has-many entries))

(defentity users
  (has-many entities))

(defentity sources
  (belongs-to entities))

